Package org.eigenbase.xom

# Interface MetaDef.Definition

All Superinterfaces:
  `NodeDef`

All Known Subinterfaces:
  `MetaDef.FullDefinition`

All Known Implementing Classes:
  `MetaDef.Class`, `MetaDef.Element`, `MetaDef.Import`, `MetaDef.Plugin`, `MetaDef.StringElement`

Enclosing class:
  `MetaDef`

public static interface MetaDef.Definition extends NodeDef
The Definition class represents a generic type of element definition. The actual definition may be of a Class, Element, or String. Definitions are the basic building blocks of a model.

## Method Summary

### Methods inherited from interface org.eigenbase.xom.NodeDef

`display, displayXML, getChildren, getLocation, getName, getText, getType, getWrapper`